/*
 * Copyright (c) 2011 Jan Vesely
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/** @addtogroup libusb
 * @{
 */
/** @file
 * Common USB types and functions.
 */
#ifndef LIBUSB_DEV_H_
#define LIBUSB_DEV_H_

#include <devman.h>
#include <usb/usb.h>

int usb_get_info_by_handle(devman_handle_t,
    devman_handle_t *, usb_address_t *, int *);

static inline int usb_get_hc_by_handle(devman_handle_t dev, devman_handle_t *hc)
{
	return usb_get_info_by_handle(dev, hc, NULL, NULL);
}

static inline int usb_get_address_by_handle(
    devman_handle_t dev, usb_address_t *address)
{
	return usb_get_info_by_handle(dev, NULL, address, NULL);
}

static inline int usb_get_iface_by_handle(devman_handle_t dev, int *iface)
{
	return usb_get_info_by_handle(dev, NULL, NULL, iface);
}

int usb_resolve_device_handle(const char *, devman_handle_t *, usb_address_t *,
    devman_handle_t *);
#endif
/**
 * @}
 */
